<div *ngIf="getHero()">
  <div class="hero-detail">
    <div class="hero-container">
      <div class="hero-thumbnail">
        <img src="{{getHero().thumbnail.path}}/portrait_fantastic.{{getHero().thumbnail.extension}}">
      </div>
      <div class="hero-info">
        <div>{{ getHero().name }}</div>
        <div>{{ getHero().description}}</div>
      </div>
    </div>
    <div class="hero-button">
      <button class="button-add-heros" [attr.disabled]="isInTeam(getHero().id) ? '' : null" (click)="addHeroToCurrentTeam(getHero())">Add to team</button>
    </div>
  </div>
  <div class="comics-container">
    <div class="comic" *ngIf="getFirstComic()">
      <div>Première apparition dans le comics : {{ getFirstComic().title }}</div>
      <div>
        <img src="{{getFirstComic().thumbnail.path}}/portrait_xlarge.{{getFirstComic().thumbnail.extension}}">
      </div>
      <div *ngIf="getFirstComic().dates[0].date.charAt(0) !== '-'">{{ getFirstComic().dates[0].date | date:'dd/MM/YYYY'}}</div>
      <div class="description" [innerHTML]="getFirstComic().description"></div>
    </div>
    <div class="comic" *ngIf="getLastComic()">
      <div>Dernière apparition dans le comics : {{ getLastComic().title }}</div>
      <div>
        <img src="{{getLastComic().thumbnail.path}}/portrait_xlarge.{{getLastComic().thumbnail.extension}}">
      </div>
      <div>{{ getLastComic().dates[0].date | date:'dd/MM/YYYY' }}</div>
      <div class="description" [innerHTML]="getLastComic().description"></div>
    </div>
  </div>
</div>
<div *ngIf="!getHero()">
  <h2>404 Not found : Ce héros a perdu son chemin... </h2>
</div>
